POST
/
api
/
v1
/
loans
/
{loan_ref}
/
disbursements
Record loan disbursement
curl --request POST \
  --url http://34.170.194.254:8000/api/v1/loans/{loan_ref}/disbursements \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 123,
  "currency": "<string>",
  "disbursed_at": "2023-11-07T05:31:56Z",
  "disbursement_ref": "<string>",
  "method": "<string>",
  "metadata": {},
  "idempotency_key": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

loan_ref
string
required

Loan reference

Body

application/json

Loan Disbursement Request schema.

amount
required

Disbursed amount

currency
string
required

ISO currency code for disbursement

disbursed_at
string<date-time>
required

Disbursement timestamp

disbursement_ref
string
required

External disbursement reference

method
string | null

Disbursement method label

metadata
Metadata · object

Optional disbursement metadata

idempotency_key
string | null

Optional idempotency key for upsert semantics

Response

Disbursement recorded